package com.ruoyi.system.domain.activity;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.system.domain.ZxFj;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协活动对象 zx_activity
 * 
 * @author boman
 * @date 2024-03-14
 */
public class ZxActivity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 活动ID */
    private Long activityId;

    /** 活动名称 */
    @Excel(name = "活动名称")
    private String activityTitle;

    /** 活动日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activityDate;

    /** 活动时间 */
    @Excel(name = "活动时间")
    private String activityTime;

    /** 活动地点 */
    @Excel(name = "活动地点")
    private String activityAddress;

    /** 活动类型 */
    @Excel(name = "活动类型")
    private String activityType;

    /** 活动内容 */
    @Excel(name = "活动内容")
    private String activityDetails;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;

    /** 发布人部门 */
    @Excel(name = "发布人部门")
    private String publishDept;

    /** 发布人部门id */
    @Excel(name = "发布人部门id")
    private Long publishDeptId;
    /**
     * 已读人数
     */
    private String read;
    /**
     * 未读人数
     */
    private String noRead;

    /** 政协活动-用户关联信息 */
    private List<ZxActivityUser> zxActivityUserList;
    /**
     * 活动通知查询列表使用，不在数据库中
     */
    private Long userId;

    /**
     * 附件
     */
    private List<ZxFj> zxFjListFj;

    public List<ZxFj> getZxFjListFj() {
        return zxFjListFj;
    }

    public void setZxFjListFj(List<ZxFj> zxFjListFj) {
        this.zxFjListFj = zxFjListFj;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRead() {
        return read;
    }

    public void setRead(String read) {
        this.read = read;
    }

    public String getNoRead() {
        return noRead;
    }

    public void setNoRead(String noRead) {
        this.noRead = noRead;
    }

    public void setActivityId(Long activityId)
    {
        this.activityId = activityId;
    }

    public Long getActivityId() 
    {
        return activityId;
    }
    public void setActivityTitle(String activityTitle) 
    {
        this.activityTitle = activityTitle;
    }

    public String getActivityTitle() 
    {
        return activityTitle;
    }
    public void setActivityDate(Date activityDate) 
    {
        this.activityDate = activityDate;
    }

    public Date getActivityDate() 
    {
        return activityDate;
    }
    public void setActivityTime(String activityTime) 
    {
        this.activityTime = activityTime;
    }

    public String getActivityTime() 
    {
        return activityTime;
    }
    public void setActivityAddress(String activityAddress) 
    {
        this.activityAddress = activityAddress;
    }

    public String getActivityAddress() 
    {
        return activityAddress;
    }
    public void setActivityType(String activityType) 
    {
        this.activityType = activityType;
    }

    public String getActivityType() 
    {
        return activityType;
    }
    public void setActivityDetails(String activityDetails) 
    {
        this.activityDetails = activityDetails;
    }

    public String getActivityDetails() 
    {
        return activityDetails;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }
    public void setPublishDept(String publishDept) 
    {
        this.publishDept = publishDept;
    }

    public String getPublishDept() 
    {
        return publishDept;
    }
    public void setPublishDeptId(Long publishDeptId) 
    {
        this.publishDeptId = publishDeptId;
    }

    public Long getPublishDeptId() 
    {
        return publishDeptId;
    }

    public List<ZxActivityUser> getZxActivityUserList()
    {
        return zxActivityUserList;
    }

    public void setZxActivityUserList(List<ZxActivityUser> zxActivityUserList)
    {
        this.zxActivityUserList = zxActivityUserList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("activityId", getActivityId())
            .append("activityTitle", getActivityTitle())
            .append("activityDate", getActivityDate())
            .append("activityTime", getActivityTime())
            .append("activityAddress", getActivityAddress())
            .append("activityType", getActivityType())
            .append("activityDetails", getActivityDetails())
            .append("publishTime", getPublishTime())
            .append("publishDept", getPublishDept())
            .append("publishDeptId", getPublishDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("zxActivityUserList", getZxActivityUserList())
            .toString();
    }
}
